<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title th:remove="all">Order Confirmation</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link  th:href="@{/css/main.css}" rel="stylesheet" />
</head>
<!--<style>-->
<!--    body{-->
<!--        font-family: Verdana,sans-serif;-->
<!--        font-size: 12px;-->
<!--    }-->
<!--    .adr_table {-->
<!--        border-collapse: collapse;-->
<!--        border-spacing: 0;-->
<!--        width: 30%;-->
<!--         display: table;-->
<!--         border: 1px solid #ccc;-->
<!--    }-->
<!--    .faixa {-->
<!--        color: white;-->
<!--        background-color: #8d3dc8 !important;-->
<!--    }-->
<!--    th, td {-->
<!--        text-align: center;-->
<!--        padding: 8px 8px 8px 16px;-->
<!--    }-->
<!--    tr:nth-child(even){-->
<!--        background-color: #f2f2f2-->
<!--     }-->
<!--</style>-->
<body>
<div>
    <h1>
        Pedido número: <span th:text="${pedido.id}"> </span>
    </h1>
    <p>
        Instante: <span
            th:text="${#dates.format(pedido.instante, 'dd/MM/yyyy hh:mm')}"></span>
    </p>
    <p>
        Cliente: <span th:text="${pedido.cliente.nome}"></span>
    </p>
    <p>
        Situação do pagamento: <span
            th:text="${pedido.pagamento.estado.descricao}"></span>
    </p>
    <h3>Detalhes do pedido:</h3>
    <table class="adr_table">
        <tr class="faixa">
            <th>Produto</th>
            <th>Quantidade</th>
            <th>Preço unitário</th>
            <th>Subtotal</th>
        </tr>
        <tr th:each="item : ${pedido.itens}">
            <td th:text="${item.produto.nome}">nome</td>
            <td th:text="${item.quantidade}">quantidade</td>
            <td th:text="${#numbers.formatDecimal(item.preco, 0, 'POINT', 2,
    'COMMA')}">preco</td>
            <td th:text="${#numbers.formatDecimal(item.subTotal, 0, 'POINT', 2,
    'COMMA')}">subTotal</td>
        </tr>
    </table>
    <p>
        Valor total: <span th:text="${#numbers.formatDecimal(pedido.valorTotal, 0,
'POINT', 2, 'COMMA')}"></span>
    </p>
</div>
</body>
</html>